--- ezpublish-3.9.2/kernel/classes/ezcontentobject.php	2007-05-04 07:33:31.000000000 -0400
+++ cd_viewcaching_testing/kernel/classes/ezcontentobject.php	2007-10-10 14:01:49.000000000 -0400
@@ -2324,6 +2324,24 @@
     }
 
     /*!
+     Returns the previous available version number for this object, if existing, false otherwise ( if the object has only one version )
+    */
+	function previousVersion()
+	{
+		$db =& eZDB::instance();
+        $versions = $db->arrayQuery( "SELECT `version` FROM ezcontentobject_version
+                       				  WHERE contentobject_id='$this->ID' 
+                       				  ORDER BY version DESC
+									  LIMIT 2" );
+        if ( $versions[1]['version'] )
+        {
+        	return $versions[1]['version'];
+        }
+        else	
+        	return false;  
+	}
+
+    /*!
      Returns number of exist versions.
     */
     function getVersionCount()
